package com.gyee.alarm.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.alarm.model.auto.AlarmTs;
import com.gyee.alarm.model.vo.AlarmTag;
import com.gyee.alarm.model.vo.AlarmTsVo;
import com.gyee.alarm.model.vo.AlarmVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


public interface IAlarmTsService extends IService<AlarmTs> {

    public void createSuperTable(String type);


    public void dropSuperTable(String type);


    public int createTable(AlarmVo vo) ;

    public int createTable(String tbName, String alarmid, String alarmtype,
                           String characteristic, String components,
                           String description,
                           String deviceid, String devicename,
                           String devicetype, Boolean enabled,
                           String lineid, String linename,
                           String modelId, String projectid,
                           String projectname, Integer rank,
                           Boolean resettable, String stationid,
                           String stationname, String subcomponents,
                           String suffix, String tagid,
                           Integer triggertype, String uniformcode,String superTableName

    );



    public int insertOne(AlarmTs one);




    public void insertList(List<AlarmTag>  alarmTags ) ;

    public void createSql(List<AlarmTag>  alarmTags )  ;


    public List<AlarmVo> findTags(String stbaleName);

    public List<AlarmTsVo> selectByGroup(String superTableName, String stationid, long begin, long end);


    public   List<AlarmVo> selectByTbName(String tbName,long limit,long offset);
}

